%define name vtun
%define version 1.5
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Tunnels
Source: %{name}-%{version}.tgz
Summary: VTun Virtual Tunnel over TCP/IP networks.
Packager: Maxim Krasnyansky <max_mk@yahoo.com>
BuildRoot: /var/tmp/%{name}-%{version}-build

%description
VTun provides the method for creating Virtual Tunnels over TCP/IP networks
and allows to shape, compress, encrypt traffic in that tunnels. 
Supported type of tunnels are: PPP, SLIP and most of other serial protocols
and programs, Ethernet via Linux's EtherTap device.
VTun is easily and highly configurable, it can be used for various network
task like VPN, Mobil IP, Shaped Internet access, IP address saving, etc.
It is completely user space implementation and does not require modification
to any kernel parts. 

%prep
%setup

%build
./configure --prefix=$RPM_BUILD_ROOT/usr	\
	    --sysconfdir=$RPM_BUILD_ROOT/etc 	\
	    --localstatedir=$RPM_BUILD_ROOT/var	

make CFG_FILE=/etc/vtund.conf PID_FILE=/var/run/vtund.pid

%install
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/usr/man/man8
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

make install

install scripts/vtund.rc.red_hat $RPM_BUILD_ROOT/etc/rc.d/init.d/vtund

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf ../%{name}-%{version}

%files
%defattr(644,root,root)
%doc ChangeLog Credits README README.Shaper TODO vtund.conf 
%attr(755,root,root) %config /etc/rc.d/init.d/vtund
%attr(600,root,root) %config /etc/vtund.conf
%attr(755,root,root) /usr/sbin/vtund
/usr/man/man8/vtund.8
/usr/man/man8/vtun.8
